Ubuntu

[Macbook Air 5,1] Kernel panic: timer doesn't work through interrupt-remapped IO-APIC

Reported by Seth Forshee on 2012-08-08
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Seth Forshee

Bug Description

This machine will not boot without adding intremap=off to the kernel parameters, panicing with the message in the summary.

This is triggered by a bug in the ACPI tables. The id of the IOAPIC in the MADT does not match the id of the corresponding interrupt remapping unit in the DMAR table. As a result interrupt remapping fails, resulting in the panic.

The fix is to disable interrupt remapping automatically whenever an IOAPIC is found that does not have a matching IOMMU for interrupt remapping. A patch which does this is currently under review upstream.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-8-generic 3.5.0-8.8
ProcVersionSignature: Ubuntu 3.5.0-8.8-generic 3.5.0
Uname: Linux 3.5.0-8-generic x86_64
ApportVersion: 2.4-0ubuntu6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: sforshee 1865 F.... pulseaudio
Date: Wed Aug 8 10:53:43 2012
HibernationDevice: RESUME=UUID=372d2638-c99f-4051-93a9-74ab30c0b144
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64+mac (20120730.1)
MachineType: Apple Inc. MacBookAir5,1
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-8-generic root=UUID=2a4ebbd2-91d3-4a76-95e2-15bad2db6803 ro intremap=off quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-8-generic N/A
 linux-backports-modules-3.5.0-8-generic N/A
 linux-firmware 1.88
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/22/2012
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBA51.88Z.00EF.B00.1205221442
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-66F35F19FE2A0D05
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookAir5,1
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-66F35F19FE2A0D05
dmi.modalias: dmi:bvnAppleInc.:bvrMBA51.88Z.00EF.B00.1205221442:bd05/22/2012:svnAppleInc.:pnMacBookAir5,1:pvr1.0:rvnAppleInc.:rnMac-66F35F19FE2A0D05:rvrMacBookAir5,1:cvnAppleInc.:ct10:cvrMac-66F35F19FE2A0D05:
dmi.product.name: MacBookAir5,1
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

CVE References

Seth Forshee (sforshee) wrote :
Seth Forshee (sforshee) wrote :
bostongeek24 (markdymek) wrote :

has this been added to the code yet? or do i have to apply it manually?

tags: added: patch

On Fri, Aug 10, 2012 at 10:21:49PM -0000, bostongeek24 wrote:
> has this been added to the code yet? or do i have to apply it manually?

I've submitted the patch to the kernel-team mailing list, but it hasn't
been applied as of yet. In any case it will be a number of days before a
new kernel with the fix is released.

Until then the easiest thing to do is to add intremap=off to the kernel
parameters. This will have the exact same effect as what the patch is
doing.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-11.11

---------------
linux (3.5.0-11.11) quantal-proposed; urgency=low

  [ Andy Whitcroft ]

  * [Config] enable CONFIG_X86_X32=y

  [ Cypress Semiconductor Corporation ]

  * SAUCE: input: Cypress PS/2 Trackpad mouse driver
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad link driver into psmouse-base
    - LP: #978807

  [ Dann Frazier ]

  * [Config] compile the rtc-pl031 driver as static on the highbank kernel
    flavour
    - LP: #1035110

  [ Ike Panhc ]

  * [Config] Enable CONFIG_DEBUG_HIGHBANK_UART for highbank
    - LP: #1034781

  [ Kamal Mostafa ]

  * SAUCE: input: Cypress PS/2 Trackpad code style cleanup
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad eliminate dead code
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad fix no-config stubs
    - LP: #978807
  * SAUCE: input: Cypress PS/2 Trackpad set default debug_level=0
    - LP: #978807
  * SAUCE: [Config] add MOUSE_PS2_CYPRESS=y
    - LP: #978807

  [ Kees Cook ]

  * SAUCE: Yama: access task_struct->comm directly
  * SAUCE: Yama: add link restrictions
  * SAUCE: security: unconditionally chain to Yama LSM

  [ Seth Forshee ]

  * SAUCE: (drop after 3.6) irq_remap: disable IRQ remapping if any IOAPIC
    lacks an IOMMU
    - LP: #1034459

  [ Stefan Bader ]

  * (config) Enable getabis to use local package copies

  [ Tim Gardner ]

  * rebase to v3.5.2

  [ Upstream Kernel Changes ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-2340
  * rebase to v3.5.2
    - LP: #1027789
    - LP: #1001251
 -- Leann Ogasawara <email address hidden> Thu, 16 Aug 2012 08:52:09 -0700

Changed in linux (Ubuntu):
status: In Progress → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers